## ide-vcs-uri ide-vcs-uri |

## Functions

IdeVcsUri * | ide_vcs_uri_new ()
IdeVcsUri * | ide_vcs_uri_ref ()
void | ide_vcs_uri_unref ()
const gchar * | ide_vcs_uri_get_scheme ()
const gchar * | ide_vcs_uri_get_user ()
const gchar * | ide_vcs_uri_get_host ()
guint | ide_vcs_uri_get_port ()
const gchar * | ide_vcs_uri_get_path ()
void | ide_vcs_uri_set_scheme ()
void | ide_vcs_uri_set_user ()
void | ide_vcs_uri_set_host ()
void | ide_vcs_uri_set_port ()
void | ide_vcs_uri_set_path ()
gchar * | ide_vcs_uri_to_string ()
gboolean | ide_vcs_uri_is_valid ()

## Object Hierarchy

        GBoxed
        ╰── IdeVcsUri

## Description

## Functions

### ide_vcs_uri_new ()

    IdeVcsUri *
    ide_vcs_uri_new (const gchar *uri);

### ide_vcs_uri_ref ()

    IdeVcsUri *
    ide_vcs_uri_ref (IdeVcsUri *self);

### ide_vcs_uri_unref ()

    void
    ide_vcs_uri_unref (IdeVcsUri *self);

### ide_vcs_uri_get_scheme ()

    const gchar *
    ide_vcs_uri_get_scheme (const IdeVcsUri *self);

### ide_vcs_uri_get_user ()

    const gchar *
    ide_vcs_uri_get_user (const IdeVcsUri *self);

### ide_vcs_uri_get_host ()

    const gchar *
    ide_vcs_uri_get_host (const IdeVcsUri *self);

### ide_vcs_uri_get_port ()

    guint
    ide_vcs_uri_get_port (const IdeVcsUri *self);

### ide_vcs_uri_get_path ()

    const gchar *
    ide_vcs_uri_get_path (const IdeVcsUri *self);

### ide_vcs_uri_set_scheme ()

    void
    ide_vcs_uri_set_scheme (IdeVcsUri *self,
                            const gchar *scheme);

### ide_vcs_uri_set_user ()

    void
    ide_vcs_uri_set_user (IdeVcsUri *self,
                          const gchar *user);

### ide_vcs_uri_set_host ()

    void
    ide_vcs_uri_set_host (IdeVcsUri *self,
                          const gchar *host);

### ide_vcs_uri_set_port ()

    void
    ide_vcs_uri_set_port (IdeVcsUri *self,
                          guint port);

### ide_vcs_uri_set_path ()

    void
    ide_vcs_uri_set_path (IdeVcsUri *self,
                          const gchar *path);

### ide_vcs_uri_to_string ()

    gchar *
    ide_vcs_uri_to_string (const IdeVcsUri *self);

### ide_vcs_uri_is_valid ()

    gboolean
    ide_vcs_uri_is_valid (const gchar *uri_string);

## Types and Values